# The build host's runner reports that a streaming job is done

`POST /assets/{id}/stream/ready` · Rivier · files

The build host's runner reports that a streaming job is done: the job and the https address of the manifest.

- Scope: files:write
- Graphql: Mutation.filesAssetAdaptiveReady
- Sdk: files.asset.adaptiveReady
- Cli: files asset adaptive ready

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "jobId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    },
    "manifestUrl": {
      "type": "string",
      "format": "uri"
    },
    "renditions": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "height": {
            "type": "integer"
          },
          "bandwidth": {
            "type": "integer"
          }
        },
        "required": [
          "height",
          "bandwidth"
        ],
        "additionalProperties": false
      },
      "maxItems": 12
    }
  },
  "required": [
    "jobId",
    "manifestUrl"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/assets/{id}/stream/ready' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "jobId": "string",
  "manifestUrl": "https://example.com"
}'
```
